Subject: bug#16495: problems emacs emacs 24.3.50 with mumamo and nxhtml modes

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 16:04:54 +0100

Jonathan Payne <[email-masked]> writes:

> Here are some issues I have had editing Django templates using MuMaMo
> nXhtml/django-nxhtml mode. This works fine in emacs 24.3.1.
>
> 1) When first loading a file a jit-lock issue causes an exception and
> we end up NOT in html mode:
>
>> ad-handle-definition: `rng-validate-mode' got redefined
>> Loading nxhtml-mode...done
>> File mode specification error: (wrong-type-argument timerp [t nil
>> nil nil nil nil nil nil])
>> Error running timer `jit-lock-stealth-fontify': (wrong-type-argument
>> timerp [t nil nil nil nil nil nil nil]) [4 times]

(This bug report unfortunately got no response at the time.)

I'm guessing this is a problem with mumamo, and not in Emacs?  So the
bug report should probably go to the mumamo people.

> 3) Stepping *with Control-N" into a JavaScript section of the file
> produced more jit-lock errors with timerp as described above. More of
> these as well:
>
>> Internal error in rng-validate-mode triggered at buffer position
>> 7417. Symbol's function definition is void:
>> rng-mark-xmltok-dependent-regions
>> self-insert-command: Wrong number of arguments: (2 . 2), 3

This also looks like a mumamo issue.

Since this doesn't seem to be an Emacs bug, I'm closing this bug
report.  If that's wrong, please respond to the debbugs address and
we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no